Subject: bug#50705: emacs-guix fails to list packages

From: Simon Streit <[email-masked]>
Date: Mon, 20 Sep 2021 21:48:39 +0200

Hello,

I just pulled Guix up to 6eded1a04186e3118b293486b038c994e05efedf, and
unfortunately emacs-guix fails to list any installed packages of a given
profile.

Part of the output from it's internal REPL follows as such:
--8<---------------cut here---------------start------------->8---
          14 (eval (#<procedure 7f62b89c4c30 at <unknown port>:21:16 ()>) #<directory (emacs-guix) 7f62b9b63820>)
In emacs-guix/packages.scm:
   777:23 13 (package/output-sexps _ output _ _ (synopsis installed output version name id package-id known-status # #))
In srfi/srfi-1.scm:
   460:18 12 (fold #<procedure 7f62b9bec4c0 at emacs-guix/packages.scm:516:8 (entry res)> _ (#<<manifest-entry> name: …> …))
In emacs-guix/packages.scm:
    359:2 11 (_ #<<manifest-entry> name: "syncthing-gtk" version: "0.9.4.4-1.c46fbd8" output: "out" item: "/gnu/store/w4…> …)
   351:22 10 (packages-by-name _ _ _)
   281:48  9 (_ _ _)
In unknown file:
           8 (force #<promise #<procedure 7f62b75b8d38 at emacs-guix/packages.scm:273:15 ()>>)
In gnu/packages.scm:
   239:33  7 (fold-packages #<procedure 7f62b75ba3d8 at emacs-guix/packages.scm:274:23 (package table)> #<vlist ()> _ # #)
In guix/discovery.scm:
   153:11  6 (all-modules _ #:warn _)
In srfi/srfi-1.scm:
   460:18  5 (fold #<procedure 7f62b963e5a0 at guix/discovery.scm:137:8 (spec result)> _ (("/home/ss2/.config/guix/…" . #)))
In guix/discovery.scm:
   143:19  4 (_ _ ())
In srfi/srfi-1.scm:
   691:23  3 (filter-map #<procedure 7f62b963e560 at guix/discovery.scm:110:14 (file)> _ . _)
In guix/discovery.scm:
   118:22  2 (_ . _)
In guix/ui.scm:
    324:2  1 (report-unbound-variable-error _ #:frame _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)
--8<---------------cut here---------------end--------------->8---

But if I where to remove this package “syncthing-gtk”, the error would
move on to the next package.

Then I rolled back to commit 337b7f5a13b8fd8b5ee320fd5a850ede1ad63b6d,
wich is a commit before 7bae88b5b9dcacad4dcd11b353b486dc2f8a78e2, where
a new checkout of guix was added to the packages tree.  Unfortunately
the error changes over to:
--8<---------------cut here---------------start------------->8---
           2 (eval (#<procedure 7fb9bb960230 at <unknown port>:19:16 ()>) #<directory (emacs-guix) 7fb9bc86e820>)
In current input:
    19:17  1 (_)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)
--8<---------------cut here---------------end--------------->8---

Hope this is only a small error.

Kind regards
Simon